"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useQuery = void 0;
const tslib_1 = require("tslib");
const QueryResult_1 = require("./QueryResult");
const react_1 = require("react");
function useQuery(query, args) {
    const [result, setResult] = (0, react_1.useState)(new QueryResult_1.QueryResult([], true));
    const queryExecutor = ((args) => (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
        const queryInstance = new query();
        const response = yield queryInstance.perform(args);
        setResult(response);
    }));
    (0, react_1.useEffect)(() => {
        queryExecutor(args);
    }, []);
    return [result, queryExecutor];
}
exports.useQuery = useQuery;
//# sourceMappingURL=useQuery.js.map